Need to double check the hardware version of TL-PA4010

Need to double check the hardware version of TL-PA4010
Need to double check the hardware version of TL-PA4010
2021-05-19 17:20:54
Model: TL-PA4010
Hardware Version:
Firmware Version: 1.3.1.2141-00_401013_171025_901

Hi,

 

I apologize in advance for this question but I am unable to determine the hardware version of my 3 TL-PA4010 adapters.

I want to update the firmware on all of them because of intermittent disconnections and I need to make sure I download the correct FW.

 

This is the back of one of the adapters:

 

Am I right to assume this is the hardware version V3?

 

The reason why I am not sure is that when I check the available FW for V3 on TPLINK support website I can see that it was released on 22.3.2021 with the note "First firmware released."

Yet the tpPLC utilty says that my adapters are currently running on firmware version: 1.3.1.2141-00_401013_171025_901.

 

I am a little lost here. Can someone please enlighten me in this?

Any help is appreciated.

0
0
#1
Options
1 Reply
Re:Need to double check the hardware version of TL-PA4010
2021-05-26 06:37:35

@ferus 

 

Hello, that adapter is TL-PA4010 (EU) V3.0 ,  the hardware version is Version 3 .Hope this could help~

 

0
0
#2
Options